<?php

$title = 'Конструктор грабберов'; 
require_once ('../system/function.php');
require_once ('../system/header.php'); 
if (!empty($_POST['site']) and  preg_match('|^[a-z0-9\.\/\?\-\_\=\+\*\&\;\:\#\@\!\,]+$|i',$_POST['site'],$out))
{

$site='http://'.preg_replace('|http\:\/\/|i','',$out[0]);

$text='<?php
$file=file_get_contents(\''.$site.'?\'.$_SERVER[\'QUERY_STRING\']);
';
for($i=1; $i<count($_POST); $i++)
{
if (!empty($_POST['search_'.$i]))
{
$search=$_POST['search_'.$i];
$replace=$_POST['replace_'.$i];
$text.='$file=str_replace(\''.$search.'\',\''.$replace.'\',$file);
';
}
}


$text.='echo $file;
?>';
$array=explode("\r\n",$text);
$rows=count($array)+1;
echo'<div class="b">
<span style="font-size:16px;">
Скопируйте код, и вставьте в надлежащий файл!<br/></span>
</div>
<div class="b">
<textarea cols="50" rows="'.$rows.'">
'.htmlspecialchars(stripslashes($text), ENT_QUOTES).'
</textarea>
</div>
';
}
else
{
echo '<div class="divmenu">
Адрес сайта пожалуйста!<br/>
</div>
';
}
echo'</body>
</html>
';

require_once ('../system/footer.php');
?>